StyleParserInternal::Picture Struct Reference

small structure used to store picture data in StyleParser More...

## Public Member Functions

| Picture ()
| constructor
bool | valid () const
| returns true if the picture is valid

## Public Attributes

MWAWVec2i | m_size
| the picture size in point
MWAWEntry | m_entry
| the picture entry

## Detailed Description

small structure used to store picture data in StyleParser

## Constructor & Destructor Documentation

## Picture()

StyleParserInternal::Picture::Picture | ( |  | ) |

inline

constructor

## Member Function Documentation

## valid()

bool StyleParserInternal::Picture::valid | ( |  | ) | const

inline

returns true if the picture is valid

## Member Data Documentation

## m_entry

MWAWEntry StyleParserInternal::Picture::m_entry

the picture entry

Referenced by Picture(), StyleParser::readFormats(), StyleParser::readPictures(), StyleParser::sendPicture(), and valid().

## m_size

MWAWVec2i StyleParserInternal::Picture::m_size

the picture size in point

Referenced by Picture(), StyleParser::readFormats(), StyleParser::readPictures(), and StyleParser::sendPicture().

The documentation for this struct was generated from the following file:

- StyleParser.cxx